## org.apache.poi.hssf.usermodel
Class HSSFAnchor

    java.lang.Object
      org.apache.poi.hssf.usermodel.HSSFAnchor

Direct Known Subclasses:
  HSSFChildAnchor, HSSFClientAnchor

public abstract class HSSFAnchor
extends java.lang.Object

An anchor is what specifics the position of a shape within a client object or within another containing shape.

Author:
  Glen Stampoultzis (glens at apache.org)

Constructor Summary
`HSSFAnchor()`
`HSSFAnchor(int dx1, int dy1, int dx2, int dy2)`

Method Summary
`int` `getDx1()`
`int` `getDx2()`
`int` `getDy1()`
`int` `getDy2()`
`abstract boolean` `isHorizontallyFlipped()`
`abstract boolean` `isVerticallyFlipped()`
`void` `setDx1(int dx1)`
`void` `setDx2(int dx2)`
`void` `setDy1(int dy1)`
`void` `setDy2(int dy2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HSSFAnchor

    public HSSFAnchor()

### HSSFAnchor

    public HSSFAnchor(int dx1,
                      int dy1,
                      int dx2,
                      int dy2)

Method Detail

### getDx1

    public int getDx1()

### setDx1

    public void setDx1(int dx1)

### getDy1

    public int getDy1()

### setDy1

    public void setDy1(int dy1)

### getDy2

    public int getDy2()

### setDy2

    public void setDy2(int dy2)

### getDx2

    public int getDx2()

### setDx2

    public void setDx2(int dx2)

### isHorizontallyFlipped

    public abstract boolean isHorizontallyFlipped()

### isVerticallyFlipped

    public abstract boolean isVerticallyFlipped()

Copyright © 2003 Apache Software Foundation.